/******************************************************************************
 main.cpp

	The Seantool
	GM C3I 160 bits/second ALDL serial data via Parallel (Printer) Port

	I said that some day, I'll redo this.
	And so a year and a half later, here it is :)

	Created February 1, 1999
	Derived from: aldl.bas Version 1.0 September 1997

	Copyright  1999 by Seanster <Seanster@BrainImplants.com>
	All rights reserved.

 ******************************************************************************/


#include <stdlib.h>
#include <iostream.h>


#include "main.h"

#include "st.h"		// the Seantool


int main( int argc, char *argv)
{
int ret = 0;


	// Construct

	cout << "\nSeantool: Constructing...\n";

	Seantool *st = new Seantool;

	cout << "Seantool: Construction completed normally.\n";


	// Calibrate

	cout << "\nSeantool: Calibrating...\n";

	if ( st->Calibrate() )
	{
		cout << "Seantool: Calibration completed normally.\n";


		// Run

		cout << "\nSeantool: Running...\n";

		if ( st->Run() )
			cout << "Seantool: Run completed normally.\n";
		else
			cout << "Seantool: FATAL ERROR: Run FAILED\n";

	}
	else
	{
		cout << "Seantool: FATAL ERROR: Calibration FAILED.\n";
	}

	cout << "\n\n";


	return ret;
}